Subject: [Sigtran] SCTP Abort case-TCB destroyed

From: <[email-masked]>
Date: Mon, 3 Apr 2006 20:28:03 -0500

Hi sigtran gurus,

I am seeing this in an ASP-SGP scenario 

EndPoint A		EndPoint B
SCTP-INIT------------------->
	<----------------------INIT_ACK
COOKIE-ECHO----------->
	<---------------------SCTP-ABORT

In the ABORT CHUNK I see the T-Bit set to 0 (TCB destroyed). 

I have attached the above four packets expanded in a text file for your
reference.

 <<sctp_abort_case.txt>> 
Why is the ABORT being sent in this case?

Is it being treated as an OOTB packet?

Thanks                                                    

Edwin 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 3 Apr 2006 21:26:08 -0600

Edwin.Premkumar,

[email-masked] wrote:                           (Mon, 03 Apr 2006 20:28:03)
>    I  have  attached  the  above four packets expanded in a text file for
>    your reference.
> 
>    <<sctp_abort_case.txt>>

No application listening on port 2905?

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Wed, 5 Apr 2006 14:46:15 +0400

SCTP Abort case-TCB destroyedEdwin,

Section 5.1 of RFC2960 states:

   "If an endpoint receives an INIT, INIT ACK, or COOKIE ECHO chunk but
   decides not to establish the new association due to missing mandatory
   parameters in the received INIT or INIT ACK, invalid parameter
   values, or lack of local resources, it MUST respond with an ABORT
   chunk.  It SHOULD also specify the cause of abort, such as the type
   of the missing mandatory parameters, etc., by including the error
   cause parameters with the ABORT chunk.  The Verification Tag field in
   the common header of the outbound SCTP packet containing the ABORT
   chunk MUST be set to the Initiate Tag value of the peer."

So, the reasons listed above may have led to this ABORT. Absence of any error cause, like in this ABORT actually sent in your case, may point to deviation from behavior, recommended above.

Regards,
Sergey.

  ----- Original Message ----- 
  From: [email-masked] 
  To: [email-masked] 
  Sent: Tuesday, April 04, 2006 5:28 AM
  Subject: [Sigtran] SCTP Abort case-TCB destroyed

  Hi sigtran gurus, 

  EndPoint A              EndPoint B 

  I have attached the above four packets expanded in a text file for your reference. 

  <<sctp_abort_case.txt>> 

  Thanks                                                    

  Edwin 

------------------------------------------------------------------------------